Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455598 - FENCE_JOIN option for cman init script
Summary: FENCE_JOIN option for cman init script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 14:46 UTC by David Teigland
Modified: 2009-04-16 23:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:52:58 UTC


Attachments (Terms of Use)
proposed fix (deleted)
2008-07-28 04:47 UTC, Fabio Massimo Di Nitto
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description David Teigland 2008-07-16 14:46:43 UTC
Description of problem:

cman init script should skip the fence_tool join step
if FENCE_NO_JOIN is set in /etc/sysconfig/cman.  This will
be used with spectator mounts.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2008-07-16 14:53:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Fabio Massimo Di Nitto 2008-07-28 04:47:03 UTC
Created attachment 312750 [details]
proposed fix

Hi David,

this is a proposed patch to address the problem. If FENCE_NO_JOIN is set, we
skip both invokation of fence_tool join and fence_tool leave.

Similar patch (modulo offset) applies to virtually all branches.

Fabio

Comment 3 Ryan O'Hara 2008-07-28 15:59:08 UTC
Fixed.

Added variable to FENCE_JOIN to control whether or not the script attempts to
join the fence domain. If FENCE_JOIN is set to "no", the script will not attempt
to join/leave the fence domain for start/stop respectively. If FENCE_JOIN is set
to any other value, the init script will follow the default behavior, which is
to join/leave the fence domain.

Note that this effects fence_xvmd, too. If FENCE_JOIN is set to "no", we also
skip the fence_xmvd step(s) in the init script.

Changed title of this BZ to reflect actual name of variable. Decided that
FENCE_JOIN with yes/no value is most agreeable format for doing this sort of
control.


Comment 6 errata-xmlrpc 2009-01-20 21:52:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.